## mod-gearman 1.3.4

=== include/nagios/Makefile ===
###############################
# Makefile for Include Files
#
# Last Modified: 10-18-2007
###############################

clean:
	rm -f *~

distclean: clean
	rm -f cgiutils.h config.h locations.h snprintf.h

devclean: distclean

## mod-gearman 1.0.3

=== debian/changelog ===
mod-gearman (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 07 Apr 2011 10:14:25 +0200

mod-gearman (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 14 Mar 2011 12:46:33 +0100

mod-gearman (1.0-1) unstable; urgency=low

  * Initial release (Closes: #605385)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Feb 2011 13:45:07 +0100

=== debian/control ===
Source: mod-gearman
Section: net
Priority: extra
Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
Standards-Version: 3.9.1
Homepage: http://labs.consol.de/nagios/mod-gearman/
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

Package: mod-gearman-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation and examples for Mod Gearman
 This package contains documentation and examples common to the
 mod-gearman-module and mod-gearman-worker packages.

Package: mod-gearman-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Event broker module to distribute service checks.
 Event broker module for Nagios or Icinga.  This module adds
 servicechecks, hostchecks and eventhandlers to a queue on a Gearman
 job server.
 .
 There can be multiple equal gearman job servers.

Package: mod-gearman-worker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Worker agent for mod-gearman
 The worker agent for mod-geraman connects to a gearman job server,
 runs active nagios  service checks, and return the results.
 .
 The agent can ask for any available check, or it can be bound to
 specific hostgroups or servicegroups.
 .
 This package also includes a set of extra tools to send check results
 to Nagios via a gearman server, and a plugin to monitor the gearman
 job server itself.

Package: mod-gearman-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for mod-gearman
 The Mod Gearman package contains tools to complement a mod gearman
 installation.
 .
 Such tools include:
 .
  - check_gearman - Nagios service check to monitor the gearman job
    server
  - gearman_top - Monitor the gearman job server
  - send_gearman - Submit active and passive check results to a
    gearman job server
  - send_multi - Submit check results from the check_multi to a gearman
    job server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_VERSION := $(shell dpkg-parsechangelog --format rfc822 | grep-dctrl -ensVersion -S .)

DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	rm -f compile depcomp install-sh missing
	rm -f extras/gearmand-init
	dh_clean

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --localstatedir=/var/lib

override_dh_auto_install:
	dh_auto_install
	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf

	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Agent that runs active checks from a gearman queue" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_worker \
                > $(CURDIR)/debian/mod_gearman_worker.8

	help2man --no-info --section=8 --version-string="check_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Nagios service check to monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/check_gearman \
                > $(CURDIR)/debian/check_gearman.8

	help2man --no-info --section=8 --version-string="send_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit active and passive check results to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_gearman \
                > $(CURDIR)/debian/send_gearman.8

	help2man --no-info --section=8 --version-string="gearman_top $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/gearman_top \
                > $(CURDIR)/debian/gearman_top.8

	help2man --no-info --section=8 --version-string="send_multi $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit check results from check_multi to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_multi \
                > $(CURDIR)/debian/send_multi.8

override_dh_auto_test:

## mod-gearman 1.0.6

=== debian/changelog ===
mod-gearman (1.0.6-1ubuntu1) oneiric; urgency=low

  * as-needed.patch: fix FTBFS with --as-needed linker option (LP: #803184).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 10:48:16 +0400

mod-gearman (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 15 Jun 2011 16:33:16 +0200

mod-gearman (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version (no changes)
  * Add /etc/default/mod-gearman-worker
  * Add a /etc/mod-gearman directory
  * Log to syslog by default
  * Fix init script usage output

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 19 May 2011 15:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mod-gearman
 Section: net
 Priority: extra
-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
 Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

## mod-gearman 1.0.7

=== debian/changelog ===
mod-gearman (1.0.7-1) unstable; urgency=low

  * New upstream release
  * patch: fix linking with --as-needed option (Closes: #632431) (LP: #803184)
  * Set local-options / unapply-patches

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 17 Jul 2011 23:51:29 +0200

## mod-gearman 1.0.10

=== debian/changelog ===
mod-gearman (1.0.10-1) unstable; urgency=low

  * New upstream release
  * Use upstream tarball instead of git repo

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 22 Sep 2011 21:25:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mod-gearman
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
 Standards-Version: 3.9.2
 Homepage: http://labs.consol.de/nagios/mod-gearman/

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,7 @@
 %:
 	dh $@
 
-override_dh_clean:
-	rm -f compile depcomp install-sh missing
-	rm -f extras/gearmand-init
-	dh_clean
-
 override_dh_auto_configure:
-	./autogen.sh
 	dh_auto_configure -- --localstatedir=/var/lib
 
 override_dh_auto_install:

## mod-gearman 1.1.1

=== debian/changelog ===
mod-gearman (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 08 Dec 2011 20:51:11 +0100

mod-gearman (1.1.0-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Oct 2011 19:35:18 +0000

## mod-gearman 1.2.0

=== debian/changelog ===
mod-gearman (1.2.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * Enable embedded perl interpreter.
  * Add patch to fix spelling and synopsis warnings.
  * Add doc-base.
  * Run `wrap-and-sort`.
  * Improve descriptions.

  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Update configuration examples
  * Add systemd service

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 14 Jan 2012 14:26:45 +0100

## mod-gearman 1.2.2

=== debian/changelog ===
mod-gearman (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 08 Feb 2012 14:55:16 +0100

=== debian/control ===
Source: mod-gearman
Section: net
Priority: extra
Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: automake,
               dctrl-tools,
               debhelper (>= 7.0.50~),
               gearman-job-server,
               help2man,
               libgearman-dev (>= 0.14),
               libltdl-dev,
               libncurses5-dev,
               libperl-dev,
               libtool
Standards-Version: 3.9.2
Homepage: http://labs.consol.de/nagios/mod-gearman/
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

Package: mod-gearman-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation and examples for Mod-Gearman
 Mod-Gearman is an easy way of distributing active Icinga/Nagios checks across
 your network and increasing nagios scalability. Mod-Gearman can even help to
 reduce the load on a single nagios host, because its much smaller and more
 efficient in executing checks.
 .
 This package contains documentation and examples common to the
 mod-gearman-module and mod-gearman-worker packages.

Package: mod-gearman-module
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nagios/Icinga event broker module for Mod-Gearman
 Event broker module for Icinga/Nagios. This module adds servicechecks,
 hostchecks and eventhandlers to a queue on a Gearman job server.
 .
 There can be multiple equal Gearman job servers.

Package: mod-gearman-worker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Worker agent for Mod-Gearman
 The worker agent for Mod-Gearman connects to a Gearman job server,
 runs active Icinga/Nagios service checks, and return the results.
 .
 The worker can ask for any available check, or it can be bound to
 specific hostgroups or servicegroups.
 .

Package: mod-gearman-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools for mod-gearman
 This package also includes a set of extra tools to send check results to
 Icinga/Nagios via a Gearman job server, and a plugin to monitor the Gearman
 job server itself:
 .
  - check_gearman - Icinga/Nagios service check to monitor the Gearman job
    server
  - gearman_top - Monitor the Gearman job server from the console
  - send_gearman - Submit active and passive check results to a
    Gearman job server
  - send_multi - Submit check results from the check_multi to a Gearman
    job server

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --localstatedir=/var/lib
+	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl
 
 override_dh_auto_install:
 	dh_auto_install

## mod-gearman 1.2.6

=== debian/changelog ===
mod-gearman (1.2.6-1) unstable; urgency=low

  * New upstream release (Closes: #663700)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 15 Mar 2012 23:18:39 +0100

mod-gearman (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 06 Mar 2012 11:02:22 +0100

mod-gearman (1.2.2-2) unstable; urgency=low

  * Install missing p1.pl file
  * Add install section to systemd service

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 22 Feb 2012 16:12:01 +0100

## mod-gearman 1.2.8

=== debian/changelog ===
mod-gearman (1.2.8-1) unstable; urgency=low

  * Imported Upstream version 1.2.8

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 16 Apr 2012 07:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: net
 Priority: extra
 Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends: automake,
-               dctrl-tools,
-               debhelper (>= 7.0.50~),
-               gearman-job-server,
-               help2man,
-               libgearman-dev (>= 0.14),
-               libltdl-dev,
-               libncurses5-dev,
-               libperl-dev,
-               libtool
-Standards-Version: 3.9.2
+Build-Depends:
+ automake,
+ dctrl-tools,
+ debhelper (>= 7.0.50~),
+ gearman-job-server,
+ help2man,
+ libgearman-dev (>= 0.14),
+ libltdl-dev,
+ libncurses5-dev,
+ libperl-dev,
+ libtool,
+Standards-Version: 3.9.3
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
 Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	dh_auto_install
 	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
 	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf
+
+	@ # Fix permissions
+	chmod 644 $(CURDIR)/debian/tmp/usr/share/mod_gearman/mod_gearman_p1.pl
 
 	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
 		--help-option=-h --include=$(CURDIR)/debian/help2man.include \

=== debian/watch ===
version=3
http://labs.consol.de/lang/de/nagios/mod-gearman \
  http://labs.consol.de/wp-content/uploads/(?:\d+)/(?:\d+)/mod_gearman-(\d+\S+)\.tar.gz

## mod-gearman 1.3.0

=== debian/changelog ===
mod-gearman (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 04 May 2012 09:22:42 +0200

## mod-gearman 1.3.4

=== debian/changelog ===
mod-gearman (1.3.4-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Use the packaged p1.pl file (Closes: #676417)
  * Create nagios user in postinst (Closes: #676418)
  * Update init script output and exit code when unconfigured
  * Bump debhelper compat level to 9
  * Revise debian/copyright

  [ Alexander Wirt ]
  * Update init script (Closes: #676415)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Jun 2012 11:10:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl
+	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl --libdir=/usr/lib
 
 override_dh_auto_install:
 	dh_auto_install

## mod-gearman 1.3.6

=== debian/changelog ===
mod-gearman (1.3.6-1) unstable; urgency=low

  * Imported upstream version 1.3.6 (Closes: #682219)
  * Install example worker.conf to /etc/mod-gearman (Closes: #681775)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 20 Jul 2012 12:16:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  automake,
  dctrl-tools,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  gearman-job-server,
  help2man,
  libgearman-dev (>= 0.14),
@@ -42,7 +42,7 @@
 
 Package: mod-gearman-worker
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
 Description: Worker agent for Mod-Gearman
  The worker agent for Mod-Gearman connects to a Gearman job server,
  runs active Icinga/Nagios service checks, and return the results.

## mod-gearman 1.4.2

=== debian/changelog ===
mod-gearman (1.4.2-2) unstable; urgency=low

  * Upload to unstable after freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 17:54:03 +0200

mod-gearman (1.4.2-1) experimental; urgency=low

  * Imported upstream version 1.4.2
  * init script: exit early if daemon is not installed (Closes: #699945)
  * Add upstart configuration for mod-gearman-worker
  * Change systemd service, restart mod-gearman-worker if it dies

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 26 Apr 2013 15:07:05 +0200

## mod-gearman 1.4.6

=== debian/changelog ===
mod-gearman (1.4.6-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream version

  [ Michael Stapelberg ]
  * Use dh-systemd (Closes: #715272)

  [ Stig Sandbeck Mathisen ]
  * Add dep8 tests
  * Add description to mod-gearman-worker init script.
    Thanks to Sebastian Harl <tokkee@debian.org> (Closes: #681777)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 08 Jul 2013 19:11:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  automake,
  dctrl-tools,
  debhelper (>= 9),
+ dh-systemd (>= 1.4),
  gearman-job-server,
  help2man,
  libgearman-dev (>= 0.14),
@@ -17,6 +18,7 @@
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
 Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman
+XS-Testsuite: autopkgtest
 
 Package: mod-gearman-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with=systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl --libdir=/usr/lib
@@ -49,4 +49,10 @@
                 $(CURDIR)/debian/tmp/usr/bin/send_multi \
                 > $(CURDIR)/debian/send_multi.8
 
+	help2man --no-info --section=8 --version-string="mod_gearman_mini_epn $(DEB_VERSION)" \
+		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
+                -n "Verify that a plugin can be run from the embedded perl interpreter (EPN)" \
+                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_mini_epn \
+                > $(CURDIR)/debian/mod_gearman_mini_epn.8
+
 override_dh_auto_test:

## mod-gearman 1.4.8

=== debian/changelog ===
mod-gearman (1.4.8-1) unstable; urgency=low

  * Imported upstream version 1.4.8 (Closes: #716274)
  * init script: use /run instead of /var/run
  * Bump standards version
  * Use dh-autoreconf
  * Link with -Wl,--as-needed
  * Fix missing dependencies for mod-gearman-module

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 28 Jul 2013 21:37:10 +0200

## mod-gearman 1.4.10

=== debian/changelog ===
mod-gearman (1.4.10-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 07 Sep 2013 19:38:37 +0200

## mod-gearman 1.4.14

=== debian/changelog ===
mod-gearman (1.4.14-1) unstable; urgency=low

  * Imported upstream version 1.4.14

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Nov 2013 23:32:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  automake,
  dctrl-tools,
  debhelper (>= 9),
+ dh-autoreconf,
  dh-systemd (>= 1.4),
  gearman-job-server,
  help2man,
@@ -14,7 +15,7 @@
  libncurses5-dev,
  libperl-dev,
  libtool,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
 Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

=== debian/tests/control ===
Tests: run-tests
Depends: @,perl,procps

=== debian/watch ===
version=3
opts=\
filenamemangle=s{v((?:\d+\.)+\d+)/$}{mod_gearman-$1.tar.gz},\
downloadurlmangle=s{v((?:\d\.)+\d+)/$}{v$1/src/mod_gearman-$1.tar.gz} \
http://mod-gearman.org/download/ v([\d\.]+)/

## mod-gearman 1.5.5

=== debian/changelog ===
mod-gearman (1.5.5-1build7) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:00 +0000

mod-gearman (1.5.5-1build6) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:14:20 -0600

mod-gearman (1.5.5-1build5) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:16:56 +0000

mod-gearman (1.5.5-1build4) bionic; urgency=medium

  * No-change rebuild against latest gearman

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 29 Oct 2017 12:15:52 -0400

mod-gearman (1.5.5-1build3) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:26 +0000

mod-gearman (1.5.5-1build2) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:35:30 +0100

mod-gearman (1.5.5-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:33:07 +0000

mod-gearman (1.5.5-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * [9873aa2] Use full path to "service"
    The tests run as a non-root user, who may not have /usr/sbin in their
    path. (Closes: #751602)

  [ Stig Sandbeck Mathisen ]
  * [bbcbbea] Update packaging VCS headers

  [ Bernd Zeimetz ]
  * [6f3ba3e] Adopting mod-gearman.
    Thanks to Stig Sandbeck Mathisen for maintaining mod-gearman until now!
    (Closes: #775823)
  * [f5a9ef4] Limit watch file to mod-gearman v1.x releases.
    We have nagios3 / icinga in Debian.
    v2.x supports nagios4 only.
  * [c6ee4b9] Merge tag 'upstream/1.5.5'
    Upstream version 1.5.5

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 04 Nov 2015 14:32:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mod-gearman
 Section: net
 Priority: extra
-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends:
  automake,
  dctrl-tools,
@@ -17,8 +17,8 @@
  libtool,
 Standards-Version: 3.9.4
 Homepage: http://labs.consol.de/nagios/mod-gearman/
-Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
-Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman
+Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-mod-gearman.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-nagios/pkg-mod-gearman.git/
 XS-Testsuite: autopkgtest
 
 Package: mod-gearman-doc

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,20 @@
 
 DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
-	dh $@ --with=systemd
+	dh $@ --with=systemd,autoreconf
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl --libdir=/usr/lib
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dpkg-shlibdeps -Tdebian/mod-gearman-module.substvars debian/mod-gearman-module/usr/lib/mod_gearman/mod_gearman.o
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=\
filenamemangle=s{v((?:\d+\.)+\d+)/$}{mod_gearman-$1.tar.gz},\
downloadurlmangle=s{v((?:\d\.)+\d+)/$}{v$1/src/mod_gearman-$1.tar.gz} \
http://mod-gearman.org/download/ v(1.[\d\.]+)/
